## org.mortbay.util
Class ByteArrayOutputStream2

    java.lang.Object
      |
      +--java.io.OutputStream
            |
            +--java.io.ByteArrayOutputStream
                  |
                  +--org.mortbay.util.ByteArrayOutputStream2

public class ByteArrayOutputStream2
extends java.io.ByteArrayOutputStream

ByteArrayOutputStream with public internals

Version:
  $Revision: 1.1 $
Author:
  Greg Wilkins (gregw)

Constructor Summary
`ByteArrayOutputStream2()`
`ByteArrayOutputStream2(int size)`

Method Summary
`byte[]` `getBuf()`
`int` `getCount()`

Methods inherited from class java.io.ByteArrayOutputStream
`close, reset, size, toByteArray, toString, toString, toString, write, write, writeTo`

Methods inherited from class java.io.OutputStream
`flush, write`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ByteArrayOutputStream2

    public ByteArrayOutputStream2()

### ByteArrayOutputStream2

    public ByteArrayOutputStream2(int size)

Method Detail

### getBuf

    public byte[] getBuf()

### getCount

    public int getCount()

Copyright © 2000 Mortbay Consulting Pty. Ltd. All Rights Reserved.